using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Inheritance.Examples32to34
{
    // Listing 6-32
    public class FixedToString
    {
        public sealed override string ToString()
        {
            return "Hau hau!";
        }
    }

    // Listing 6-33
    public sealed class EndOfTheLine
    {
    }

    // Listing 6-34
    public class CustomerDerived : LibraryBase
    {
        public override void Start()
        {
            Console.WriteLine("Metoda Start typu pochodnego.");
            base.Start();
        }
    }
}
